<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
include "../conexion/conectar.php";

$completaQuery="";

if($_SESSION['esAdmin_p_prov_absa'] == "NO")
    $completaQuery=" and usuario_solicitud='".$_SESSION['usuario_p_prov_absa']."'";

$query="select distinct t.id,t.rfc_emisor,t.contrato,t.status,t.fecha_solicitud,r.nombre as empresa,u.nombre,r.pac_asignado,t.id_rfc_emisor from timbres t, usuarios u, rfc_perfil r where u.username=t.usuario_solicitud and r.rfc=t.rfc_emisor and t.id_rfc_emisor=r.id and status=0 $completaQuery order by t.fecha desc";
$query2="select distinct t.id,t.rfc_emisor,t.contrato,t.status,t.usuario,t.usuario_solicitud,t.fecha,r.nombre,r.pac_asignado as empresa,u.nombre,t.id_rfc_emisor from timbres t, rfc_perfil r, usuarios u  where u.username=t.usuario_solicitud and r.rfc=t.rfc_emisor and t.id_rfc_emisor=r.id and status=1 $completaQuery order by t.fecha desc";
conectar();

$result = mysql_query($query);
$result2 = mysql_query($query2);
if($_SESSION['perfil'] != "0"){
	$result3 = mysql_query("select distinct rfc,nombre,id from rfc_perfil where id_perfil='".$_SESSION['perfil']."' order by nombre asc");
}else{
	$result3 = mysql_query("select distinct rfc,nombre,id from rfc_perfil order by nombre asc");
}
desconectar();
?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
$j_6(document).ready(function() {
	$j_6('#loading').hide();
	
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
        $j_6('#result').hide();
    }).ajaxStop(function() {
        $j_6('#result').fadeIn('slow');
		$j_6('#loading').hide();
    });
		
    $j_6('#form, #fat, #formUser').submit(function() {
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            /*beforeSend:function(){
                var prefijo = $j_6("#prefijo").val();
                var tipo_usuario_vimifos = $j_6("#tipo_usuario_vimifos").val();
                if(prefijo == "-" && tipo_usuario_vimifos == "DOCTOR"){
                    alert("Debe de ingresar un prefijo valido para un usuario DOCTOR.");
                    return false;
                }
                
            },*/
            success: function(data) {
                $j_6('#loadModal').html("");
                $j_6('#result').html(data);
                $j_6('#loading').hide();
            }
        })
        
        return false;
    });
    
});
function maximo(campo,limite){
if(campo.value.length>=limite){
campo.value=campo.value.substring(0,limite);
 }
}

function generaContrato(id,rfc,contrato,pac){
    
                $j_6('imagen_'+id).removeAttr('onclick');
                
		document.getElementById('imagen_'+id).src="Imagenes/loading.gif";
                
                $j_6.post("formularios/extras/generaContrato.php", { id: id, rfc: rfc, contrato: contrato, pac: pac },function(data){
                    $j_6('#result').html(data);
                });
    
    
}

function agregaSolicitud(rfc,contrato){
    $j_6('#loading').show();
    document.getElementById('btn_agrega').src="Imagenes/loading.gif";
    if(rfc!="" && contrato!=""){
        $j_6.post("formularios/extras/solicitaContrato.php", { rfc: rfc, contrato: contrato },function(data){
                    $j_6('#result').html(data);
                    $j_6('#loading').hide();
                    document.getElementById('btn_agrega').src="Imagenes/Floppy.png";
                });
    }else{
        $j_6.messager.alert('Error.','Debe de Seleccionar un RFC y agregar el numero de timbres.','error');
        $j_6('#loading').hide();
        document.getElementById('btn_agrega').src="Imagenes/Floppy.png";
    }
    
    
}
</script>
<br/>
<br/>
<br/>
<table>
		<tr>
		<td valign="top" class="txt_logindat" width="800" height="35"><div id="result"></div></td>
		</tr>
</table>

<table class="td_general">
    <tr>
        <td colspan="2" valign="top" class="txt_logindat" align="center"><center><h2>SOLICITUD DE TIMBRES</h2></center></td>
    </tr>
    
    <tr>
        <td colspan="2" valign="top" class="txt_logindat" align="center">
            <font style="font-size: 15px; border-color: #fbca93">RFC:</font> <select id="select_rfc" style="width: 300px; font-size: 15px; border-color: #fbca93">
                <option value="">Seleccione el RFC</option>
                <?if(mysql_num_rows($result3) > 0){
                    while($temp3 = mysql_fetch_array($result3)){?>
                <option value="<?=$temp3['rfc']."-".$temp3['id']?>"><?=$temp3['nombre']." - ".$temp3['rfc']?></option>
                <?}
                }?>
            </select>
            <font style="font-size: 15px; border-color: #fbca93">No. Timbres:</font> <input onkeyup="onlyNums(this)" type="text" style="font-size: 15px; border-color: #fbca93" size="10" maxlength="6" id="no_timbres"/>
			<img src="Imagenes/Floppy.png" id="btn_agrega" width="24" height="24" onclick="agregaSolicitud(document.getElementById('select_rfc').value,document.getElementById('no_timbres').value)"/>
        </td>
    </tr>
    
    <tr>
        <td valign="top">
            <table id="tbl_pendientes" class="td_general">
                <tr>
                    <td colspan="5" align="center" style="background-color: #B5B8C8"><center>PENDIENTES</center></td>
                </tr>
                <tr>
                    <td width="200" style="background-color: #0b93d5">RFC</td>
                    <td width="200" style="background-color: #0b93d5">CONTRATO</td>
                    <td width="200" style="background-color: #0b93d5">SOLICITO</td>
                    <td width="350" style="background-color: #0b93d5">FECHA</td>
                    <td width="50" style="background-color: #0b93d5"></td>
                </tr>
                <?if(mysql_num_rows($result) > 0){
                    while($temp = mysql_fetch_array($result)){
						if(trim($temp['pac_asignado']) == ""){
							$temp['pac_asignado']="SF";
						}
						?>
                <tr id="tr_<?=$temp['id']?>">
                    <td title="<?=$temp['empresa']?>" alt="<?=$temp['empresa']?>"><input type="hidden" name="id" id="id" value="<?=$temp['id']?>"/> <?=$temp['rfc_emisor']?></td>
                    <td><?=$temp['contrato']?></td>
                    <td><?=$temp['nombre']?></td>
                    <td><?=$temp['fecha_solicitud']?></td>
                    <td><?if($_SESSION['esAdmin_p_prov_absa'] == "SI"){?><img id="imagen_<?=$temp['id']?>" src="Imagenes/acceptHand.png" width="24" height="24" onClick="generaContrato('<?=$temp['id']?>','<?=$temp['rfc_emisor']?>','<?=$temp['contrato']?>','<?=$temp['pac_asignado']?>')"/><?}?></td>
                </tr>

                <?}
                }?>
            </table>
        </td>
        <td valign="top">
            <table id="tbl_asignados" class="td_general">
                <tr>
                    <td colspan="5" align="center" style="background-color: #B5B8C8"><center>ASIGNADOS</center></td>
                </tr>
                <tr>
                    <td width="200" style="background-color: #0b93d5">RFC</td>
                    <td width="200" style="background-color: #0b93d5">CONTRATO</td>
                    <td width="200" style="background-color: #0b93d5">ASIGNADO POR</td>
                    <td width="200" style="background-color: #0b93d5">SOLICITANTE</td>
                    <td width="200" style="background-color: #0b93d5">FECHA</td>
                </tr>
                <?if(mysql_num_rows($result2) > 0){
                    while($temp2 = mysql_fetch_array($result2)){?>
                <tr>
                    <td title="<?=$temp2['empresa']?>" alt="<?=$temp2['empresa']?>"><?=$temp2['rfc_emisor']?></td>
                    <td><?=$temp2['contrato']?></td>
                    <td><?=$temp2['usuario']?></td>
                    <td><?=$temp2['nombre']?></td>
                    <td><?=$temp2['fecha']?></td>
                </tr>

                <?}
                }?>
            </table>  
        </td>
    </tr>
</table>